Caffeine throws warning on startup

Bug #1579546 reported by Alan B. Clements on 2016-05-08
40
This bug affects 9 people
Affects Status Importance Assigned to Milestone
caffeine (Ubuntu)
Undecided
Unassigned

Bug Description

when caffeine is started from the command line it produces the following:

/usr/bin/caffeine:25: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import GObject, Gtk, GLib

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in caffeine (Ubuntu):
status: New → Confirmed
Uwe Mock (u-mock) wrote :

Not much activity on this bug, so it's stil present in 16.04.1.

This bug is common in multiple projects, and there is a fix:
https://bugs.launchpad.net/terminator/+bug/1513596

So, could someone please fix it in caffeine?

D (360-dennis) wrote :

Confirmed on 16.10 as well.

This isn't an actual bug, just a warning, this doesn't impact caffeine functionality.

summary: - Caffeine Crashes on startup
+ Caffeine throws warning on startup
Changed in caffeine (Ubuntu):
status: Confirmed → Invalid
Jonners59 (jonathan-l-harrison) wrote :

Also 17:10

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers